Require Import bool.
Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter filter_nat_type : forall (return_:Type), (nat -> return_) -> nat -> return_.
Parameter leb : nat -> nat -> bool.bool.
Parameter leb_body : nat -> nat -> bool.bool.
Axiom axiom_leb : forall (n:nat), connectives.equal (nat -> bool.bool) (leb n) (filter_nat_type (nat -> bool.bool) leb_body n).
Definition eq_leb : forall (n:nat), leibniz.leibniz (nat -> bool.bool) (leb n) (filter_nat_type (nat -> bool.bool) leb_body n) := fun (n:nat) => ((((connectives.equal_leibniz) (nat -> bool.bool)) (leb n)) (filter_nat_type (nat -> bool.bool) leb_body n)) ((axiom_leb) (n)).
Definition sym_eq_leb : forall (n:nat), leibniz.leibniz (nat -> bool.bool) (filter_nat_type (nat -> bool.bool) leb_body n) (leb n) := fun (n:nat) => ((((leibniz.sym_leibniz) (nat -> bool.bool)) (leb n)) (filter_nat_type (nat -> bool.bool) leb_body n)) ((eq_leb) (n)).
